# import the necessary packages
from __future__ import print_function
import numpy as np
import cv2
from matplotlib import pyplot as plt

# load the images
image1 = cv2.imread("/content/test/frame_10.jpg")
image2 = cv2.imread("/content/trumpOP/frame_10.jpg")

# list of images
images = [image1, image2]

# loop over the images
for image in images:
    # loop over the alpha transparency values
    for alpha in np.arange(0, 1.1, 0.1)[::-1]:
        # create two copies of the original image -- one for
        # the overlay and one for the final output image
        overlay = image.copy()
        output = image.copy()

        # draw a red rectangle surrounding Adrian in the image
        # along with the text "PyImageSearch" at the top-left
        # corner
        cv2.rectangle(overlay, (420, 205), (595, 385),
            (0, 0, 255), -1)
        cv2.putText(overlay, "PyImageSearch: alpha={}".format(alpha),
            (10, 30), cv2.FONT_HERSHEY_SIMPLEX, 1.0, (0, 0, 255), 3)

        # apply the overlay
        cv2.addWeighted(overlay, alpha, output, 1 - alpha,
            0, output)

        # show the output image
        print("alpha={}, beta={}".format(alpha, 1 - alpha))
        plt.imshow(cv2.cvtColor(output, cv2.COLOR_BGR2RGB))
        plt.show()
